.l-header__area {
    border-bottom: none;
    box-shadow: 0 2px 10px rgba(0,0,0,0.05);
}
.p-hero {
    position: relative;
    width: 100%;
    height: auto;
    padding-bottom: 10em;
    overflow: hidden;
}
.p-hero .p-hero-inner {
    position: relative;
    width: 100%;
    height: auto;
    z-index: 0;
}
.p-hero .p-hero-inner .p-hero__logo {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 10;
    width: 18rem;
    z-index: 6;
}
.p-hero .swiper-pagination {
    position: absolute;
    left: 50%;
    bottom: 3em;
    transform: translateX(-50%);
    z-index: 6;
}
.swiper-pagination-bullet {
    background-color: white;
    border: 1px solid var(--color-brown);
    width: .6rem;
    height: .6rem;
    opacity: 1;
}
.swiper-pagination-bullet.swiper-pagination-bullet-active {
    background-color: var(--color-yellow);
}
.p-hero__news {
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
}
.p-hero__news__inner {
    background-color: white;
    padding: .5em 1em;
    transform: translateX(-1em);
    position: relative;
}
.p-hero__news-ttl {
    font-size: 2.5rem;
    color: var(--color-blue);
    font-family: var(--font-en);
    position: absolute;
    top: -.5em;
    right: 0;
}
.p-hero__news-list li {
    font-size: 0.875em;
    border-bottom: 1px solid #f5f5f5;
}
.p-hero__news-list li:last-child {
    border-bottom: none;
}
.p-hero__news-list li a {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: .5em 1em;
    padding: 1em 0;
}
.p-hero__news-list__item time {
    width: 6em;
    display: inline-block;
    color: var(--color-brown);
    font-family: var(--font-en);
}
.p-hero__news-list__item-cat span {
    background-color: var(--color-yellow);
    color: var(--color-brown);
    border: 1px solid var(--color-brown);
    padding: .25em .5em;
    line-height: 1em;
}
.p-hero__news-list__item-ttl {
    background-image: url('../images/arrow_r-blue.svg');
    background-repeat: no-repeat;
    background-position: right center;
    background-size: auto 1em;
    display: block;
    width: 100%;
    padding-right: 2em;
}
/** about **/
.p-soto-style {
    margin: var(--space-md) 0;
}
.p-soto-style__ttl {
    font-size: 8.7rem;
    font-family: var(--font-en);
    color: var(--color-blue);
    font-weight: 400;
}
.p-soto-style__lead {
    font-size: 1.25em;
    font-weight: 600;
    color: var(--color-brown);
    margin-top: 2em;
}
.p-soto-style__txt {
    margin: 0 1.5em;
}
.p-soto-style__txt-inner {
    border-left: 1px solid var(--color-blue);
    padding-left: 1.5em;
}
.p-soto-style__btn {
    text-align: center;
    margin-top: 3em;
}
.p-soto-style__imgs {
    display: flex;
    width: 100vw;
    transform: translateX(-1em);
    margin: var(--space-md) 0;
    padding-top: 3rem;
}
.p-soto-style__imgs .p-soto-style__img1 {
    width: 11rem;
    transform: translateY(-3rem);
}
.p-soto-style__imgs .p-soto-style__img2 {
    width: 26.75rem;
}
/** sec line **/
.c-bg--line {
    position: relative;
    z-index: -3;
}
.c-bg--line::before {
    content:"";
    display: block;
    position: absolute;
    top: 50%;
    left: 80%;
    width: 1px;
    height: 800vh;
    background-color: var(--color-blue);
    z-index: 0;
    transform: translate(-50%, -50%) rotate(35deg);
}
/** sec scroll **/
@keyframes loop {
  from { transform: translateX(0); }
  to   { transform: translateX(-50%); }
}
.p-slideimg-gallery-loop {
  width: 100%;
  margin: var(--space-lg) 0;
}
.c-slideshow-wrapper {
  display: flex;
  overflow: hidden;
}
.c-slideshow {
  display: flex;
  gap: 3rem;
  animation: loop 100s linear infinite;
}
.c-slideshow__item {
  flex: 0 0 auto;
  width: 20rem;
}
/** service **/
.p-top-service {
    margin: var(--space-lg) auto;
}
.p-top-service__lead {
    font-size: 1.5em;
    font-weight: 700;
    color: var(--color-brown);
    margin-bottom: 1.5em;
}
.p-top-service__header {
    margin-bottom: 3em;
}
.p-top-service__header p {
    line-height: 2em;
}
.p-top-service__btn {
    text-align: center;
    margin-top: 2.5em;
}
.p-top-service-links .c-bg-leftfit {
    padding-top: 5em;
    padding-bottom: 2em;
}
.p-top-service-links__block {
    display: flex;
    flex-direction: column;
    gap: 3.5em;
}
.p-top-service-links__block a {
    display: block;
    position: relative;
    padding-bottom: 2.5em;
}
.p-top-service-links__block a::before {
    content: "Read MORE";
    color: var(--color-blue);
    font-size: 1em;
    font-weight: 500;
    font-family: var(--font-en);
    padding-right: 1em;
    background-image: url('../images/arrow_r-blue.svg');
    background-repeat: no-repeat;
    background-position: right center;
    background-size: auto .75em;
    position: absolute;
    bottom: 0;
    right: 0;
    transition: .3s;
}
.p-top-service-links__block a dt {
    font-size: 1.9rem;
    font-weight: 700;
    padding: 0 1em;
    color: var(--color-brown);
    background-color: var(--color-yellow);
    border: 1px solid var(--color-brown);
    display: inline-block;
    position: absolute;
    left: -.75em;
    top: -.5em;
    z-index: 3;
}
.p-top-service-links__block dd:has(p) {
    padding-top: 1em;
}
.p-top-works {
    margin-top: var(--space-lg);
    position: relative;
}
.p-top-works.c-bg--line::before{
    left: 65%;
}
.p-top-works__header {
    margin-bottom: 2em;
}
.p-top-works .swiper-button-prev,
.p-top-works .swiper-button-next {
    top: .5em !important;
}
.p-top-works .swiper-button-prev {
    right: 3.5em !important;
    left: auto !important;
}
.p-top-works .swiper-button-next {
    right: 0 !important;
}
.p-top-exterior {
    margin: var(--space-lg) auto;
}
.p-top-exterior__ttl .c-block-title {
    transform: translateY(-1.3em) translateX(-.5em);
    margin-bottom: -.5em;
}
.p-top-exterior__txt {
    border-left: 1px solid var(--color-blue);
    padding-left: 1.5em;
    margin: 0 2.5em 3em 2em;
}
.p-cards__exterior-index a .post__ttl {
    font-size: 1.25em;
    background-color: var(--color-blue);
    color: white;
}
.p-top-works__btn.sp {
    text-align: center;
    margin-top: 2.5em;
    padding-bottom: 1.5em;
}
.p-top-exterior__btn.sp {
    text-align: center;
    margin-top: 1.5em;
}
.p-top-newpost {
    display: grid;
    gap: 4em;
    margin-bottom: 3.25em;
}
.p-top-newpost__block {
    background-color: white;
    padding: 3em 1em 1em 1em;
    position: relative;
}
.p-top-newpost .c-block-title {
    font-size: 4.2rem;
    left: -.25em;
}
.p-top-newpost__ttl--jp {
    font-size: 1.25em;
    font-weight: 700;
    color: var(--color-brown);
}
.p-top-newpost__btn {
    text-align: right;
}
.p-top-newpost__btn span {
    font-size: 1.2rem;
    color: var(--color-blue);
    font-family: var(--font-en);
    font-weight: 500;
    padding-right: 3.5em;
    position: relative;
    display: inline-block;
}
.p-top-newpost__btn span::before {
    content: "";
    display: block;
    width: 2.5em;
    height: 2.5em;
    border-radius: 50%;
    background-color: var(--color-blue);
    background-image: url('../images/arrow_r-white.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: auto .5em;
    transition: .3s;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
}
.p-top-newpost__list {
    margin-top: 1.5em;
}
.p-top-newpost__list__item {
    border-bottom: 1px solid #f5f5f5;
}
.p-top-newpost__list__item a {
    display: grid;
    grid-template-columns: auto 12.5rem;
    align-items: flex-start;;
    gap: 1em;
    padding: 1.5em 0;
}
.p-top-newpost__list__item:last-child {
    border-bottom: none;
}
.p-top-newpost .post__meta {
    display: flex;
    flex-wrap: wrap;
    column-gap: 1em;
    row-gap: .75em;
}
.p-top-newpost .post__ttl {
    color: var(--color-brown);
    font-weight: 700;
    display: block;
    width: 100%;
}
.p-ex-points .c-reveal-img {
    z-index: -1;
}
.p-ex-points .l-inner {
    transform: translateY(-22.8rem);
    margin-bottom: -22.8rem;
}
.p-ex-points .c-bg-leftfit {
    padding-top: 2em;
}
.p-ex-points__ttl {
    font-size: 2rem;
    line-height: 1.65;
    font-weight: 700;
    color: var(--color-brown);
    background-image: url('../images/icon_logo.svg');
    background-repeat: no-repeat;
    background-position: center left;
    padding-left: 3.75em;
}
.p-ex-points__blocks {
    display: grid;
    gap: 2.5em;
    margin: 2.5em 0 0 0;
}
.p-ex-points__blocks dt {
    font-family: var(--font-en);
    font-size: 1.3rem;
}
.p-ex-points__blocks dd img {
    margin: 1.5em auto;
}
.p-ex-points__blocks dd p strong {
    color: var(--color-brown);
}
.p-ex-points__blocks dl {
    position: relative;
    padding: 1.5em 1em;
    display: block;
    text-align: center;
    z-index: 1;
}
.p-ex-points__blocks dl::before,
.p-ex-points__blocks dl::after {
    content: "";
    display: block;
    position: absolute;
}
.p-ex-points__blocks dl::before {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--color-brown);
    clip-path: polygon(0 0, 100% 0, 100% calc(100% - 2em), calc(100% - 2em) 100%, 0 100%);
    z-index: -2;
}
.p-ex-points__blocks dl::after {
    content: "";
    position: absolute;
    top: 1px;
    left: 1px;
    width: calc(100% - 2px);
    height: calc(100% - 2px);
    background-color: #f5f5f5;
    clip-path: polygon(0 0, 100% 0, 100% calc(100% - 2em), calc(100% - 2em) 100%, 0 100%);
    z-index: -1;
}
.c-media-layout--fit {
    position: relative;
}
.c-contact-btn {
    position: absolute;
    right: 1em;
    bottom: 15em;
    z-index: 990;
}
.c-contact-btn a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 7.5rem;
    height: 7.5rem;
    aspect-ratio: 1/1;
    background-color: var(--color-yellow);
    color: var(--color-brown);
    border-radius: 50%;
}
.c-contact-btn a span {
    background-image: url('../images/icon_mail-brown.svg');
    background-repeat: no-repeat;
    background-size: 1.25em auto;
    background-position: center top;
    padding-top: 1.5em;
    font-size: 1.2rem;
    font-weight: 700;
}
.c-contact-btn.fixed {
    position: fixed;
    animation: fade .8s ease-in-out;
    bottom: 1em;
    right: 1em;
}
@keyframes fade {
    from { opacity: 0; }
    to { opacity: 1; }
}
@media screen and (min-width: 768px) {
    .p-hero {
        padding-bottom: 0;
    }
    .p-hero .p-hero-inner .p-hero__logo {
        width: 28rem;
    }
    .p-hero .swiper-container {
        padding-bottom: 3em;
        z-index: -1;
    }
    .p-hero .swiper-pagination {
        bottom: 0;
    }
    .swiper-pagination-bullet {
        width: 1rem;
        height: 1rem;
    }
    .p-hero__news {
        bottom: 5.5em
    }
    .p-hero__news__inner {
        display: inline-block;
        width: auto-fit;
        padding-left: 6em;
        padding-right: 1.5em;
    }
    .p-hero__news-ttl {
        font-size: 2.125em;
        left: -1em;
        right: auto;
        top: 50%;
        transform: translateY(-50%);
    }
    .p-hero__news-list li a {
        flex-wrap: nowrap;
    }
    .p-hero__news-list__item-ttl {
        width: auto;
        flex: 1;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
    /** about **/
    .p-soto-style__ttl {
        font-size: 11.8rem;
    }
    .p-soto-style__lead {
        font-size: 2em;
        margin-top: 0;
    }
    .p-soto-style__imgs {
        width: 71.4rem;
        transform: translateX(-10rem);
        margin: 5rem 0 0 0;
        padding-top: 6em;
    }
    .p-soto-style__imgs .p-soto-style__img1 {
        width: 21.5rem;
        transform: translateY(-6rem);
    }
    .p-soto-style__imgs .p-soto-style__img2 {
        width: 52.5rem;
    }
    .p-soto-style__inner {
        display: flex;
        justify-content: space-between;
        margin-top: 8rem;
    }
    .p-soto-style__header {
        width: 64.2rem;
    }
    .p-soto-style__txt {
        width: 45rem;
        border-left: 1px solid var(--color-blue);
    }
    .p-soto-style__txt p.clear {
        margin-bottom: 2em;
    }
    .p-soto-style__txt-inner {
        padding-left: 3.5em;
        border: none;
    }
    .p-soto-style__btn {
        text-align: right;
        margin-top: 3.5em;
    }
    .c-slideshow {
        gap: 3.5em;
    }
    .c-slideshow__item {
        flex: 0 0 auto;
        width: 40rem;
    }
    .p-top-service .l-inner {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    .p-top-service__header {
        width: 46rem;
        margin-bottom: 0;
    }
    .p-top-service picture {
        width: 69.7rem;
        transform: translateX(4.2rem);
    }
    .p-top-service__btn {
        text-align: left;
        margin-top: 3em;
    }
   .p-top-service-links .c-bg-leftfit {
        padding-top: 7em;
        padding-bottom: 4.25em;
    }
    .p-top-service-links__inner {
        flex-direction: row;
    }
    .p-top-service-links__block {
        flex-direction: row;
    }
    .p-top-service-links__block a {
        width: 55.3rem;
    }
    .p-top-service-links__block a dt {
        font-size: 1.5em;
        padding: .25em 1em;
        top: -1.5em;
        left: -1em;
    }
    .p-top-service-links__block a:hover::before {
        color: var(--color-yellow);
    }
    .p-top-works__header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 47rem;
        margin-bottom: 3.25em;
    }
    .swiper-container.p-works-slide {
        width: calc(100% + 55rem);
        transform: translateX(-1em);
    }
    .p-top-exterior__header {
        display: flex;
        justify-content: space-between;
    }
    .p-top-exterior__ttl {
        width: 35rem;
        display: block;
        position: relative;
    }
    .p-top-exterior__ttl .c-block-title {
        transform: translateY(-1.75em) translateX(0);
        margin-bottom: -1.75em;
    }
    .p-top-exterior__ttl .p-top-exterior__btn {
        position: absolute;
        bottom: 0;
        left: 0;
        text-align: left;
    }
    .p-top-exterior__txt {
        width: 85rem;
        padding-left: 2.5em;
        margin: 0;
    }
    .p-cards__exterior.--exterior-index {
        padding: 0;
    }
    .p-ex-points .l-inner {
        transform: translateY(-38rem);
        margin-bottom: -38rem;
    }
    .p-top-newpost {
        grid-template-columns: 1fr 1fr;
        gap: 4.25em;
        margin-bottom: 6em;
    }
    .p-top-newpost .c-block-title {
        font-size: 4.6rem;
        left: -.5em;
    }
    .p-top-newpost__block {
        padding: 4em 3em 1.5em 3em;
    }
    .p-top-newpost__ttl--jp {
        font-size: 1.5em;
    }
    .p-top-newpost__btn {
        position: absolute;
        top: 4em;
        right: 2.5em;
        width: auto-fit;
    }
    .p-top-newpost__btn a:hover span::before {
        background-color: var(--color-yellow);
        background-image: url('../images/arrow_r-blue.svg');
    }
    .p-top-newpost__list {
        margin-top: 2.5em;
    }
    .p-top-newpost__list__item a {
        grid-template-columns: auto 17.1rem;
    }
    .p-ex-points__ttl {
        font-size: 3rem;
        padding: .5em 0 .5em 3.5em;
    }
    .p-ex-points__blocks {
        grid-template-columns: repeat(4, 1fr);
        gap: 2.375em;
        margin: 2em auto 1.5em auto;
    }
    .p-ex-points__blocks dd img {
        width: 13.9rem;
    }
    .c-media-layout--fit {
        align-items: center;
    }
    .c-media-layout--fit .p-footer-contact__btns {
        margin: 2em 0 0 0;
        gap: .5em;
        width: 50rem;
    }
    .c-contact-btn {
        right: 2em;
        bottom: 5em;
    }
    .c-contact-btn a {
        width: 13.7rem;
        height: 13.7rem;
    }
    .c-contact-btn a span {
        font-size: 2rem;
    }
}